# IGListWorkingRangeDelegate

    @protocol IGListWorkingRangeDelegate <NSObject>

Implement this protocol to receive working range events for a list.

The working range is a range near the viewport in which you can begin preparing content for display. For example, you could begin decoding images, or warming text caches.

- `-listAdapter:sectionControllerWillEnterWorkingRange:`

  Notifies the delegate that an section controller will enter the working range.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          sectionControllerWillEnterWorkingRange:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The adapter controlling the list.
  `sectionController` | The section controller entering the range.

- `-listAdapter:sectionControllerDidExitWorkingRange:`

  Notifies the delegate that an section controller exited the working range.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          sectionControllerDidExitWorkingRange:
              (nonnull IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The adapter controlling the list.
  `sectionController` | The section controller that exited the range.

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.